{
  "name": "shinobi-yolo",
  "version": "2.0.0",
  "description": "YoloV3 plugin for Shinobi that uses C++ functions for detection.",
  "main": "shinobi-yolo.js",
  "dependencies": {
    "imagickal": "^4.0.0",
    "moment": "^2.29.1",
    "dotenv": "^8.2.0",
    "cws": "^2.0.0",
    "express": "^4.16.4",
    "socket.io": "^4.4.1",
    "socket.io-client": "^4.5.3",
    "node-yolo-shinobi": "^2.0.3"
  },
  "devDependencies": {},
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "addCmd": {
      "install-gcc-7": {
          "name": "install-gcc-7",
          "title": "Install GCC/G++ 7 (Required, Ubuntu Only)",
          "cmd": "sh install-gcc-7.sh"
      },
      "install-cuda": {
          "name": "install-cuda",
          "title": "Install NVIDIA Drivers v440, CUDNN v7, CUDA Toolkit 10.0 (Required for GPU, Ubuntu 20.04 and Rocky 9)",
          "cmd": "sh cuda-10.sh"
      },
      "test-cuda": {
          "name": "test-cuda",
          "title": "Test NVIDIA Drivers",
          "cmd": "nvidia-smi"
      },
      "test-plugin": {
          "name": "test-plugin",
          "title": "Test Object Detector",
          "cmd": "node test.js"
      }
  },
  "author": "Moe Alam"
}
